"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _overlays = require("@react-native-aria/overlays");
var _useViewport = _interopRequireDefault(require("./hooks/useViewport"));
var _useScrollbarEffects = _interopRequireDefault(require("./hooks/useScrollbarEffects"));
var _Context = _interopRequireDefault(require("./Context"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function Provider({
  children,
  utilities = {},
  modifiers = {},
  ssrViewport
}) {
  const viewport = (0, _useViewport.default)(ssrViewport);
  const fixed = (0, _react.useMemo)(() => [], []);
  const counter = (0, _react.useRef)(0);
  const scrollbars = (0, _useScrollbarEffects.default)(fixed);
  const context = (0, _react.useMemo)(() => ({
    utilities,
    modifiers,
    scrollbars,
    fixed,
    getViewport() {
      return viewport;
    },
    addFixedElement(ref) {
      fixed.push(ref);
      return {
        remove() {
          const index = fixed.findIndex(item => item === ref);
          fixed.splice(index, 1);
        }
      };
    },
    generateKey(prefix) {
      counter.current += 1;
      return `ui-${prefix}-${counter.current}`;
    }
  }), [utilities, modifiers, scrollbars, fixed, viewport, fixed, counter]);
  return /*#__PURE__*/_react.default.createElement(_Context.default.Provider, {
    value: context
  }, /*#__PURE__*/_react.default.createElement(_overlays.OverlayProvider, null, children));
}
var _default = exports.default = Provider;
//# sourceMappingURL=Provider.js.map