"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _StyleSheet = _interopRequireDefault(require("../style/StyleSheet"));
var _css = _interopRequireDefault(require("../style/css"));
var _utils = require("../utils");
var _TextStyleContext = _interopRequireDefault(require("../style/TextStyleContext"));
var _useMedia = _interopRequireDefault(require("../hooks/useMedia"));
var _useStyle = _interopRequireDefault(require("../hooks/useStyle"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const styles = _StyleSheet.default.create({
  body: (0, _css.default)`
    background-color: $body-bg;
    flex-grow: 1; // added for bootstrap-rn
    flex-shrink: 1; // added for bootstrap-rn
  `,
  'body --text': (0, _css.default)`
    color: $body-color;
    text-align: $body-text-align;
  `
});
const Body = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    style,
    textStyle,
    styleName,
    ...elementProps
  } = props;
  const classes = (0, _utils.getStyles)(styles, ['body']);
  const textClasses = (0, _utils.getStyles)(styles, ['body --text']);
  const media = (0, _useMedia.default)();
  const resolveStyle = (0, _useStyle.default)([classes, style], styleName);
  const resolveTextStyle = (0, _useStyle.default)([textClasses, textStyle]);
  const contextValue = (0, _react.useMemo)(() => ({
    style: resolveTextStyle({
      media
    })
  }), [resolveTextStyle, media]);
  return /*#__PURE__*/_react.default.createElement(_reactNative.SafeAreaView, _extends({}, elementProps, {
    ref: ref,
    style: resolveStyle({
      media
    })
  }), /*#__PURE__*/_react.default.createElement(_TextStyleContext.default.Provider, {
    value: contextValue
  }, children));
});
Body.displayName = 'Body';
var _default = exports.default = Body;
//# sourceMappingURL=Body.js.map