"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _View = _interopRequireDefault(require("../View"));
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _css = _interopRequireDefault(require("../../style/css"));
var _utils = require("../../utils");
var _useList = _interopRequireDefault(require("../../hooks/useList"));
var _BreadcrumbItem = _interopRequireDefault(require("./BreadcrumbItem"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const styles = _StyleSheet.default.create({
  '.breadcrumb': (0, _css.default)`
    display: flex;
    flex-direction: row; // added for bootstrap-rn
    flex-wrap: wrap;
    padding: $breadcrumb-padding-y $breadcrumb-padding-x;
    margin-bottom: $breadcrumb-margin-bottom;
    // list-style: none;
    background-color: $breadcrumb-bg;
    border-radius: $breadcrumb-border-radius;
  `,
  '.breadcrumb --text': (0, _css.default)`
    font-size: $breadcrumb-font-size;
    line-height: $breadcrumb-font-size * $line-height-base; // added for bootstrap-rn
  `
});
const Breadcrumb = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    style,
    textStyle,
    ...elementProps
  } = props;
  const list = (0, _useList.default)(children);
  const classes = (0, _utils.getStyles)(styles, ['.breadcrumb']);
  const textClasses = (0, _utils.getStyles)(styles, ['.breadcrumb --text']);
  const role = _reactNative.Platform.OS === 'web' ? 'list' : undefined;
  return /*#__PURE__*/_react.default.createElement(_View.default, _extends({}, elementProps, {
    ref: ref,
    role: role,
    style: [classes, style],
    textStyle: [textClasses, textStyle]
  }), list);
});
Breadcrumb.displayName = 'Breadcrumb';
var _default = exports.default = Object.assign(Breadcrumb, {
  Item: _BreadcrumbItem.default
});
//# sourceMappingURL=Breadcrumb.js.map