"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _View = _interopRequireDefault(require("../View"));
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _css = _interopRequireDefault(require("../../style/css"));
var _utils = require("../../utils");
var _ButtonGroupContext = _interopRequireDefault(require("./ButtonGroupContext"));
var _useList = _interopRequireDefault(require("../../hooks/useList"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const styles = _StyleSheet.default.create({
  '.btn-group': (0, _css.default)`
    flex-direction: row; // added for bootstrap-rn
    border-radius: $btn-border-radius;
  `
});
const ButtonGroup = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    size,
    style,
    ...elementProps
  } = props;
  const list = (0, _useList.default)(children);
  const classes = (0, _utils.getStyles)(styles, ['.btn-group']);

  // Accessiblity role tabpanel is only supported on web.
  const role = _reactNative.Platform.OS === 'web' ? 'group' : undefined;
  const contextValue = (0, _react.useMemo)(() => ({
    size
  }), [size]);
  return /*#__PURE__*/_react.default.createElement(_View.default, _extends({}, elementProps, {
    ref: ref,
    role: role,
    style: [classes, style]
  }), /*#__PURE__*/_react.default.createElement(_ButtonGroupContext.default.Provider, {
    value: contextValue
  }, list));
});
ButtonGroup.displayName = 'ButtonGroup';
var _default = exports.default = ButtonGroup;
//# sourceMappingURL=ButtonGroup.js.map