"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _View = _interopRequireDefault(require("../View"));
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _css = _interopRequireDefault(require("../../style/css"));
var _utils = require("../../utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const styles = _StyleSheet.default.create({
  '.card-header': (0, _css.default)`
    padding: $card-cap-padding-y $card-cap-padding-x;
    background-color: $card-cap-bg;
    border-bottom-width: $card-border-width;
    border-style: solid;
    border-color: $card-border-color;
    border-radius: $card-inner-border-radius $card-inner-border-radius 0 0;
  `,
  '.card-header --text': (0, _css.default)`
    margin-bottom: 0; // Removes the default margin-bottom of <hN>
    color: $card-cap-color;
  `
});
const CardHeader = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    style,
    textStyle,
    ...elementProps
  } = props;
  const classes = (0, _utils.getStyles)(styles, ['.card-header']);
  const textClasses = (0, _utils.getStyles)(styles, ['.card-header --text']);
  return /*#__PURE__*/_react.default.createElement(_View.default, _extends({}, elementProps, {
    ref: ref,
    style: [classes, style],
    textStyle: [textClasses, textStyle]
  }), children);
});
CardHeader.displayName = 'CardHeader';
var _default = exports.default = CardHeader;
//# sourceMappingURL=CardHeader.js.map