"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useDismissDropdown;
var _react = require("react");
var _useForcedContext = _interopRequireDefault(require("../../hooks/useForcedContext"));
var _DropdownContext = _interopRequireDefault(require("./DropdownContext"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function useDismissDropdown(props) {
  const context = (0, _useForcedContext.default)(_DropdownContext.default);
  const handlePress = (0, _react.useCallback)(event => {
    if (props.onPress) props.onPress(event);
    context.setVisible(false);
  }, [context, props.onPress]);
  const {
    ...restProps
  } = props;
  return {
    ...restProps,
    onPress: handlePress
  };
}
//# sourceMappingURL=useDismissDropdown.js.map