"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _PickerContext = _interopRequireDefault(require("./PickerContext"));
var _useForcedContext = _interopRequireDefault(require("../../hooks/useForcedContext"));
var _PickerWebItem = _interopRequireDefault(require("./internals/PickerWebItem"));
var _PickerNativeItem = _interopRequireDefault(require("./internals/PickerNativeItem"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const PickerItem = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    label,
    value,
    disabled = false
  } = props;
  const {
    useNativeComponent
  } = (0, _useForcedContext.default)(_PickerContext.default);
  const BasePickerItem = _reactNative.Platform.OS === 'web' && !useNativeComponent ? _PickerWebItem.default : _PickerNativeItem.default;
  return /*#__PURE__*/_react.default.createElement(BasePickerItem, {
    ref: ref,
    label: label,
    value: value,
    disabled: disabled
  });
});
PickerItem.displayName = 'PickerItem';
var _default = exports.default = PickerItem;
//# sourceMappingURL=PickerItem.js.map