"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _useBackground = _interopRequireDefault(require("../../../hooks/useBackground"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const styles = _reactNative.StyleSheet.create({
  reboot: {
    flexShrink: 0,
    margin: 0
  }
});
const Input = /*#__PURE__*/_react.default.forwardRef(({
  style,
  ...props
}, ref) => (0, _reactNative.unstable_createElement)('input', {
  ...props,
  ref,
  style: [styles.reboot, style]
}));
const FormCheckInputWeb = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    type,
    value,
    onValueChange: handleValueChange,
    onFocus = () => {},
    onBlur = () => {},
    disabled = false,
    style,
    id,
    autoFocus
  } = props;
  const inputBackground = (0, _useBackground.default)(style);
  return /*#__PURE__*/_react.default.createElement(Input
  // @ts-expect-error We need to create a native ref here in the future.
  , {
    ref: ref,
    type: type === 'switch' ? 'checkbox' : type,
    checked: value,
    onChange: () => {
      if (handleValueChange) handleValueChange(!value);
    },
    onFocus: onFocus,
    onBlur: onBlur,
    disabled: disabled,
    style: inputBackground.style,
    id: id,
    autoFocus: autoFocus
  });
});
FormCheckInputWeb.displayName = 'FormCheckInputWeb';
var _default = exports.default = FormCheckInputWeb;
//# sourceMappingURL=FormCheckInputWeb.js.map