"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _useBackground = _interopRequireDefault(require("../../../hooks/useBackground"));
var _PickerWebContext = _interopRequireDefault(require("./PickerWebContext"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const PLACEHOLDER = '__PLACEHOLDER__';
const getOptionStyle = (style, showPlaceholder) => {
  if (!showPlaceholder) {
    return null;
  }
  const flattenedStyle = _reactNative.StyleSheet.flatten(style);
  return flattenedStyle.color || null;
};
const PickerWeb = /*#__PURE__*/(0, _react.forwardRef)((props, ref) => {
  const {
    children,
    selectedValue,
    onValueChange = () => {},
    onFocus = () => {},
    onBlur = () => {},
    placeholder,
    placeholderTextColor,
    disabled,
    style,
    ...elementProps
  } = props;
  const background = (0, _useBackground.default)(style);
  const showPlaceholder = selectedValue === undefined || selectedValue === null;
  const contextValue = (0, _react.useMemo)(() => ({
    optionColor: getOptionStyle(background.style, showPlaceholder)
  }), [background, showPlaceholder]);
  return /*#__PURE__*/_react.default.createElement(_reactNative.Picker, _extends({}, elementProps, {
    ref: ref,
    selectedValue: showPlaceholder ? PLACEHOLDER : selectedValue,
    onValueChange: onValueChange,
    onFocus: onFocus,
    onBlur: onBlur,
    disabled: disabled,
    style: [background.style, showPlaceholder && {
      color: placeholderTextColor
    }]
  }), /*#__PURE__*/_react.default.createElement("option", {
    value: PLACEHOLDER,
    disabled: true,
    hidden: true
  }, placeholder), /*#__PURE__*/_react.default.createElement(_PickerWebContext.default.Provider, {
    value: contextValue
  }, children));
});
var _default = exports.default = PickerWeb;
//# sourceMappingURL=PickerWeb.js.map