"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _css = _interopRequireDefault(require("../../style/css"));
var _View = _interopRequireDefault(require("../View"));
var _utils = require("../../utils");
var _useList = _interopRequireDefault(require("../../hooks/useList"));
var _ListGroupContext = _interopRequireDefault(require("./ListGroupContext"));
var _ListGroupItem = _interopRequireDefault(require("./ListGroupItem"));
var _ListGroupItemAction = _interopRequireDefault(require("./ListGroupItemAction"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const styles = _StyleSheet.default.create({
  '.list-group': (0, _css.default)`
    display: flex;
    flex-direction: column;

    // No need to set list-style: none; since .list-group-item is block level
    padding-left: 0; // reset padding because ul and ol
    margin-bottom: 0;
    border-radius: $list-group-border-radius;
  `,
  '.list-group-flush': (0, _css.default)`
    border-radius: 0;
  `
});
const getRole = tabbable => {
  if (tabbable) {
    return 'tablist';
  }
  if (_reactNative.Platform.OS === 'web') {
    return 'list';
  }
  return undefined;
};
const ListGroup = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    flush,
    style,
    ...elementProps
  } = props;
  const list = (0, _useList.default)(children);
  const classes = (0, _utils.getStyles)(styles, ['.list-group', flush && '.list-group-flush']);

  // TODO: Implement TabContext
  const tabbable = false;
  const contextValue = (0, _react.useMemo)(() => ({
    flush
  }), [flush]);
  return /*#__PURE__*/_react.default.createElement(_View.default, _extends({}, elementProps, {
    ref: ref,
    role: getRole(tabbable),
    style: [classes, style]
  }), /*#__PURE__*/_react.default.createElement(_ListGroupContext.default.Provider, {
    value: contextValue
  }, list));
});
ListGroup.displayName = 'ListGroup';
var _default = exports.default = Object.assign(ListGroup, {
  Item: _ListGroupItem.default,
  ItemAction: _ListGroupItemAction.default
});
//# sourceMappingURL=ListGroup.js.map