"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useOffcanvas;
var _react = require("react");
var _Context = _interopRequireDefault(require("../../Context"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function useOffcanvas(visible, scroll) {
  const context = (0, _react.useContext)(_Context.default);
  (0, _react.useEffect)(() => {
    if (!visible || scroll) {
      return () => {}; // No cleanup needed
    }
    context?.scrollbars.hide();
    return () => {
      context?.scrollbars.show();
    };
  }, [visible, scroll, context?.scrollbars]);
  return (0, _react.useMemo)(() => ({}), []); // You can return any memoized value here if needed
}
//# sourceMappingURL=useOffcanvas.js.map