"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = injectPopover;
var _react = _interopRequireDefault(require("react"));
var _overlays = require("@react-native-aria/overlays");
var _Overlay = _interopRequireDefault(require("../helpers/Overlay"));
var _BackdropHandler = _interopRequireDefault(require("../helpers/BackdropHandler"));
var _useTrigger = _interopRequireDefault(require("../../hooks/useTrigger"));
var _math = require("../../style/math");
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _Popover = _interopRequireDefault(require("./Popover"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function injectPopover(Target) {
  const OverlayPopover = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
    const {
      popover: {
        title,
        content,
        autoClose = 'outside',
        trigger = 'press',
        placement = 'right',
        ...popoverProps
      },
      ...elementProps
    } = props;
    const {
      visible,
      setVisible,
      targetProps,
      targetRef,
      templateProps
    } = (0, _useTrigger.default)(trigger, popoverProps, elementProps, ref);
    const offset = (0, _math.normalizeNumber)(_StyleSheet.default.value('popover-arrow-height'));
    return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(Target, _extends({}, elementProps, targetProps)), visible && /*#__PURE__*/_react.default.createElement(_overlays.OverlayContainer, null, /*#__PURE__*/_react.default.createElement(_Overlay.default, {
      placement: placement,
      offset: offset,
      arrowOffset: offset,
      targetRef: targetRef,
      visible: visible
    }, (overlay, overlayRef) => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_BackdropHandler.default, {
      toggleRef: targetRef,
      dialogRef: overlayRef,
      onClose: () => {
        setVisible(false);
      },
      autoClose: autoClose
    }), /*#__PURE__*/_react.default.createElement(_Popover.default, _extends({}, templateProps, {
      ref: overlayRef,
      placement: overlay.placement,
      popper: overlay.rendered,
      style: [overlay.overlayProps.style, {
        maxHeight: 'auto',
        opacity: overlay.rendered ? 1 : 0
      }],
      arrowStyle: overlay.arrowProps.style
    }), /*#__PURE__*/_react.default.createElement(_Popover.default.Arrow, null), title && /*#__PURE__*/_react.default.createElement(_Popover.default.Header, null, title), /*#__PURE__*/_react.default.createElement(_Popover.default.Body, null, content))))));
  });
  OverlayPopover.displayName = 'Overlay(Popover)';
  return OverlayPopover;
}
//# sourceMappingURL=injectPopover.js.map