"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _View = _interopRequireDefault(require("../View"));
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _utils = require("../../utils");
var _css = _interopRequireDefault(require("../../style/css"));
var _TooltipArrow = _interopRequireDefault(require("./TooltipArrow"));
var _TooltipInner = _interopRequireDefault(require("./TooltipInner"));
var _TooltipContext = _interopRequireDefault(require("./TooltipContext"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const styles = _StyleSheet.default.create({
  '.tooltip': (0, _css.default)`
    position: absolute;
    z-index: $zindex-tooltip;
    // display: block;
    margin: $tooltip-margin;
    // opacity: 0;
  `,
  '.tooltip --text': (0, _css.default)`
    // Our parent element can be arbitrary since tooltips are by default inserted as a sibling of their target element.
    // So reset our font and text properties to avoid inheriting weird values.
    // @include reset-text();
    font-size: $tooltip-font-size;
    // Allow breaking very long words so they don't overflow the tooltip's bounds
    // word-wrap: break-word;
  `,
  '.bs-tooltip-top': (0, _css.default)`
    padding: $tooltip-arrow-height 0;
  `,
  '.bs-tooltip-end': (0, _css.default)`
    padding: 0 $tooltip-arrow-height;
  `,
  '.bs-tooltip-bottom': (0, _css.default)`
    padding: $tooltip-arrow-height 0;
  `,
  '.bs-tooltip-start': (0, _css.default)`
    padding: 0 $tooltip-arrow-height;
  `
});
const Tooltip = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    placement = 'top',
    popper,
    style,
    textStyle,
    arrowStyle,
    ...elementProps
  } = props;
  const tooltip = (0, _react.useMemo)(() => ({
    placement: (0, _utils.transformPlacement)(placement),
    arrowStyle,
    popper
  }), [placement, arrowStyle, popper]);
  const classes = (0, _utils.getStyles)(styles, ['.tooltip',
  // Wait for rendering (of Overlay) before setting the offset.
  popper && `.bs-tooltip-${tooltip.placement}`]);
  const textClasses = (0, _utils.getStyles)(styles, ['.tooltip --text']);

  // Accessiblity role tooltip is only supported on web.
  const role = _reactNative.Platform.OS === 'web' ? 'tooltip' : undefined;
  return /*#__PURE__*/_react.default.createElement(_View.default, _extends({}, elementProps, {
    ref: ref,
    role: role,
    style: [classes, style],
    textStyle: [textClasses, textStyle]
  }), /*#__PURE__*/_react.default.createElement(_TooltipContext.default.Provider, {
    value: tooltip
  }, children));
});
Tooltip.displayName = 'Tooltip';
var _default = exports.default = Object.assign(Tooltip, {
  Arrow: _TooltipArrow.default,
  Inner: _TooltipInner.default
});
//# sourceMappingURL=Tooltip.js.map