"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _StyleSheet = _interopRequireDefault(require("../../style/StyleSheet"));
var _css = _interopRequireDefault(require("../../style/css"));
var _View = _interopRequireDefault(require("../View"));
var _utils = require("../../utils");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
const styles = _StyleSheet.default.create({
  blockquote: (0, _css.default)`
    margin-bottom: $blockquote-margin-y;
  `,
  'blockquote --text': (0, _css.default)`
    font-size: $blockquote-font-size;
  `
});
const Blockquote = /*#__PURE__*/_react.default.forwardRef((props, ref) => {
  const {
    children,
    style,
    textStyle,
    ...elementProps
  } = props;
  const classes = (0, _utils.getStyles)(styles, ['blockquote']);
  const textClasses = (0, _utils.getStyles)(styles, ['blockquote --text']);

  // Accessiblity role blockquote is only supported on web.
  const role = _reactNative.Platform.OS === 'web' ? 'blockquote' : undefined;
  return /*#__PURE__*/_react.default.createElement(_View.default, _extends({}, elementProps, {
    ref: ref
    // @ts-expect-error web only role
    ,
    role: role,
    style: [classes, style],
    textStyle: [textClasses, textStyle]
  }), children);
});
Blockquote.displayName = 'Blockquote';
var _default = exports.default = Blockquote;
//# sourceMappingURL=Blockquote.js.map