"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = useAction;
var _utils = require("../utils");
// eslint-disable-next-line @typescript-eslint/no-explicit-any

// eslint-disable-next-line @typescript-eslint/no-explicit-any

function getActionHook(toggle, dismiss) {
  if (toggle) {
    return typeof toggle === 'function' ? toggle : toggle.useToggle;
  }
  if (dismiss) {
    return typeof dismiss === 'function' ? dismiss : dismiss.useDismiss;
  }
  return null;
}
function useAction(props, ref) {
  const {
    toggle,
    dismiss,
    ...restProps
  } = props;
  const useActionHook = getActionHook(toggle, dismiss);
  if (!useActionHook) {
    return [restProps, ref];
  }
  if (typeof useActionHook !== 'function') {
    throw new Error('Action hook must be of type function.');
  }

  // TODO: Remove as and define return type on ActionFunction
  const {
    ref: actionRef,
    ...actionProps
  } = useActionHook(restProps);
  return [actionProps, actionRef ? (0, _utils.concatRefs)(actionRef, ref) : ref];
}
//# sourceMappingURL=useAction.js.map