"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = makeTheme;
var _transform = _interopRequireDefault(require("./transform"));
var _variables = _interopRequireDefault(require("../theme/variables"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const extractVariables = (source, options, baseVariables = {}) => {
  if (!source) {
    return {
      ...baseVariables
    };
  }
  if (typeof source === 'object') {
    // TODO: Resolve t => ... functions on source object.
    return {
      ...source,
      ...baseVariables
    };
  }
  const result = (0, _transform.default)(source.ast.children, baseVariables, options);
  return {
    ...result[0].variables,
    ...baseVariables
  };
};
function makeTheme(customVariables) {
  const customTheme = extractVariables(customVariables);
  return extractVariables(_variables.default, {
    preferTheme: true
  }, customTheme);
}
//# sourceMappingURL=makeTheme.js.map