function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useContext, useMemo } from 'react';
import { View as BaseView } from 'react-native';
import TextStyleContext from '../style/TextStyleContext';
import useMedia from '../hooks/useMedia';
import useStyle from '../hooks/useStyle';
const View = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    children,
    style,
    textStyle,
    styleName,
    ...elementProps
  } = props;
  const media = useMedia();
  const context = useContext(TextStyleContext);
  const resolveStyle = useStyle(style, styleName);
  const resolveTextStyle = useStyle([context?.style, textStyle]);
  const hasTextStyle = context?.style || textStyle;
  const contextValue = useMemo(() => ({
    style: resolveTextStyle({
      media
    }),
    hasAncestor: context?.hasTextAncestor
  }), [resolveTextStyle, media, context]);
  return /*#__PURE__*/React.createElement(BaseView, _extends({}, elementProps, {
    ref: ref,
    style: resolveStyle({
      media
    })
  }), hasTextStyle ? /*#__PURE__*/React.createElement(TextStyleContext.Provider, {
    value: contextValue
  }, children) : children);
});
View.displayName = 'View';
export default View;
//# sourceMappingURL=View.js.map