function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { Platform } from 'react-native';
import View from '../View';
import StyleSheet from '../../style/StyleSheet';
import css from '../../style/css';
import { getStyles } from '../../utils';
import useList from '../../hooks/useList';
import BreadcrumbItem from './BreadcrumbItem';
const styles = StyleSheet.create({
  '.breadcrumb': css`
    display: flex;
    flex-direction: row; // added for bootstrap-rn
    flex-wrap: wrap;
    padding: $breadcrumb-padding-y $breadcrumb-padding-x;
    margin-bottom: $breadcrumb-margin-bottom;
    // list-style: none;
    background-color: $breadcrumb-bg;
    border-radius: $breadcrumb-border-radius;
  `,
  '.breadcrumb --text': css`
    font-size: $breadcrumb-font-size;
    line-height: $breadcrumb-font-size * $line-height-base; // added for bootstrap-rn
  `
});
const Breadcrumb = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    children,
    style,
    textStyle,
    ...elementProps
  } = props;
  const list = useList(children);
  const classes = getStyles(styles, ['.breadcrumb']);
  const textClasses = getStyles(styles, ['.breadcrumb --text']);
  const role = Platform.OS === 'web' ? 'list' : undefined;
  return /*#__PURE__*/React.createElement(View, _extends({}, elementProps, {
    ref: ref,
    role: role,
    style: [classes, style],
    textStyle: [textClasses, textStyle]
  }), list);
});
Breadcrumb.displayName = 'Breadcrumb';
export default Object.assign(Breadcrumb, {
  Item: BreadcrumbItem
});
//# sourceMappingURL=Breadcrumb.js.map