function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import View from '../View';
import useForcedContext from '../../hooks/useForcedContext';
import CollapseContext from './CollapseContext';
import CollapseProvider from './CollapseProvider';
import useToggleCollapse from './useToggleCollapse';
const Collapse = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    children,
    ...elementProps
  } = props;
  const {
    identifier,
    visible
  } = useForcedContext(CollapseContext);
  if (!visible) {
    return null;
  }
  return /*#__PURE__*/React.createElement(View, _extends({}, elementProps, {
    ref: ref,
    id: identifier
  }), children);
});
Collapse.displayName = 'Collapse';
export default Object.assign(Collapse, {
  Provider: CollapseProvider,
  useToggle: useToggleCollapse
});
//# sourceMappingURL=Collapse.js.map