import { useCallback } from 'react';
import useForcedContext from '../../hooks/useForcedContext';
import DropdownContext from './DropdownContext';
export default function useDismissDropdown(props) {
  const context = useForcedContext(DropdownContext);
  const handlePress = useCallback(event => {
    if (props.onPress) props.onPress(event);
    context.setVisible(false);
  }, [context, props.onPress]);
  const {
    ...restProps
  } = props;
  return {
    ...restProps,
    onPress: handlePress
  };
}
//# sourceMappingURL=useDismissDropdown.js.map