import React from 'react';
import { Platform } from 'react-native';
import PickerContext from './PickerContext';
import useForcedContext from '../../hooks/useForcedContext';
import PickerWebItem from './internals/PickerWebItem';
import PickerNativeItem from './internals/PickerNativeItem';
const PickerItem = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    label,
    value,
    disabled = false
  } = props;
  const {
    useNativeComponent
  } = useForcedContext(PickerContext);
  const BasePickerItem = Platform.OS === 'web' && !useNativeComponent ? PickerWebItem : PickerNativeItem;
  return /*#__PURE__*/React.createElement(BasePickerItem, {
    ref: ref,
    label: label,
    value: value,
    disabled: disabled
  });
});
PickerItem.displayName = 'PickerItem';
export default PickerItem;
//# sourceMappingURL=PickerItem.js.map