import React, { forwardRef } from 'react';
import Pressable from '../../Pressable';
import useBackground from '../../../hooks/useBackground';
const FormCheckInputNative = /*#__PURE__*/forwardRef((props, ref) => {
  const {
    type,
    value,
    onValueChange: handleValueChange,
    onFocus = () => {},
    onBlur = () => {},
    hitSlop = 8,
    disabled = false,
    style,
    id
  } = props;
  const inputBackground = useBackground(style);
  return /*#__PURE__*/React.createElement(Pressable, {
    ref: ref,
    role: type,
    "aria-checked": value,
    onPress: () => {
      if (handleValueChange) handleValueChange(!value);
    },
    onFocus: onFocus,
    onBlur: onBlur,
    hitSlop: hitSlop,
    disabled: disabled,
    style: inputBackground.style,
    id: id
  }, inputBackground.element);
});
FormCheckInputNative.displayName = 'FormCheckInputNative';
export default FormCheckInputNative;
//# sourceMappingURL=FormCheckInputNative.js.map