import React from 'react';
import {
// @ts-expect-error import is available
unstable_createElement as createElement, StyleSheet } from 'react-native';
import useBackground from '../../../hooks/useBackground';
const styles = StyleSheet.create({
  reboot: {
    flexShrink: 0,
    margin: 0
  }
});
const Input = /*#__PURE__*/React.forwardRef(({
  style,
  ...props
}, ref) => createElement('input', {
  ...props,
  ref,
  style: [styles.reboot, style]
}));
const FormCheckInputWeb = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    type,
    value,
    onValueChange: handleValueChange,
    onFocus = () => {},
    onBlur = () => {},
    disabled = false,
    style,
    id,
    autoFocus
  } = props;
  const inputBackground = useBackground(style);
  return /*#__PURE__*/React.createElement(Input
  // @ts-expect-error We need to create a native ref here in the future.
  , {
    ref: ref,
    type: type === 'switch' ? 'checkbox' : type,
    checked: value,
    onChange: () => {
      if (handleValueChange) handleValueChange(!value);
    },
    onFocus: onFocus,
    onBlur: onBlur,
    disabled: disabled,
    style: inputBackground.style,
    id: id,
    autoFocus: autoFocus
  });
});
FormCheckInputWeb.displayName = 'FormCheckInputWeb';
export default FormCheckInputWeb;
//# sourceMappingURL=FormCheckInputWeb.js.map