function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React, { useMemo, forwardRef } from 'react';
import {
// @ts-expect-error web only import
Picker as BasePicker, StyleSheet as StyleUtils } from 'react-native';
import useBackground from '../../../hooks/useBackground';
import PickerWebContext from './PickerWebContext';
const PLACEHOLDER = '__PLACEHOLDER__';
const getOptionStyle = (style, showPlaceholder) => {
  if (!showPlaceholder) {
    return null;
  }
  const flattenedStyle = StyleUtils.flatten(style);
  return flattenedStyle.color || null;
};
const PickerWeb = /*#__PURE__*/forwardRef((props, ref) => {
  const {
    children,
    selectedValue,
    onValueChange = () => {},
    onFocus = () => {},
    onBlur = () => {},
    placeholder,
    placeholderTextColor,
    disabled,
    style,
    ...elementProps
  } = props;
  const background = useBackground(style);
  const showPlaceholder = selectedValue === undefined || selectedValue === null;
  const contextValue = useMemo(() => ({
    optionColor: getOptionStyle(background.style, showPlaceholder)
  }), [background, showPlaceholder]);
  return /*#__PURE__*/React.createElement(BasePicker, _extends({}, elementProps, {
    ref: ref,
    selectedValue: showPlaceholder ? PLACEHOLDER : selectedValue,
    onValueChange: onValueChange,
    onFocus: onFocus,
    onBlur: onBlur,
    disabled: disabled,
    style: [background.style, showPlaceholder && {
      color: placeholderTextColor
    }]
  }), /*#__PURE__*/React.createElement("option", {
    value: PLACEHOLDER,
    disabled: true,
    hidden: true
  }, placeholder), /*#__PURE__*/React.createElement(PickerWebContext.Provider, {
    value: contextValue
  }, children));
});
export default PickerWeb;
//# sourceMappingURL=PickerWeb.js.map