import React from 'react';
import {
// @ts-expect-error web only import
Picker as WebPicker } from 'react-native';
import useForcedContext from '../../../hooks/useForcedContext';
import PickerWebContext from './PickerWebContext';
const PickerWebItem = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    label,
    value,
    disabled = false
  } = props;
  const {
    optionColor
  } = useForcedContext(PickerWebContext);
  return /*#__PURE__*/React.createElement(WebPicker.Item, {
    ref: ref,
    label: label,
    value: value,
    disabled: disabled,
    color: optionColor
  });
});
PickerWebItem.displayName = 'PickerWebItem';
export default PickerWebItem;
//# sourceMappingURL=PickerWebItem.js.map