import { useContext, useEffect, useMemo } from 'react';
import Context from '../../Context';
export default function useModal(visible, scrollable) {
  const context = useContext(Context);
  useEffect(() => {
    if (!visible || !context) {
      return undefined;
    }
    context.scrollbars.hide();
    return () => {
      context.scrollbars.show();
    };
  }, [visible, context]);
  return useMemo(() => ({
    scrollable
  }), [scrollable]);
}
//# sourceMappingURL=useModal.js.map