function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import StyleSheet from '../../style/StyleSheet';
import css from '../../style/css';
import View from '../View';
import { getStyles } from '../../utils';
import ProgressBar from './ProgressBar';
import ProgressContext from './ProgressContext';
import useProgress from './useProgress';
const styles = StyleSheet.create({
  '.progress': css`
    display: flex;
    flex-direction: row; // added for bootstrap-rn
    height: $progress-height;
    overflow: hidden; // force rounded corners by cropping it
    background-color: $progress-bg;
    border-radius: $progress-border-radius;
    // @include box-shadow($progress-box-shadow);
  `,
  '.progress --text': css`
    font-size: $progress-font-size;
    line-height: $progress-font-size * $line-height-base; // added for bootstrap-rn
  `
});
const Progress = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    children,
    min = 0,
    max = 100,
    style,
    textStyle,
    ...elementProps
  } = props;
  const progress = useProgress(min, max);
  const classes = getStyles(styles, ['.progress']);
  const textClasses = getStyles(styles, ['.progress --text']);
  return /*#__PURE__*/React.createElement(View, _extends({}, elementProps, {
    ref: ref,
    style: [classes, style],
    textStyle: [textClasses, textStyle]
  }), /*#__PURE__*/React.createElement(ProgressContext.Provider, {
    value: progress
  }, children));
});
Progress.displayName = 'Progress';
export default Object.assign(Progress, {
  Bar: ProgressBar
});
//# sourceMappingURL=Progress.js.map