function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import StyleSheet from '../../style/StyleSheet';
import css from '../../style/css';
import Heading from '../Heading';
import { DISPLAY_FONT_SIZES } from '../../theme/proxies';
import { getStyles, each } from '../../utils';
const styles = StyleSheet.create({
  ...each(DISPLAY_FONT_SIZES, (size, value) => ({
    [`.display-${size}`]: css`
      font-size: ${value};
      line-height: ${value} * $headings-line-height;
    `
  }))
});
const DisplayHeading = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    children,
    size,
    style,
    ...elementProps
  } = props;
  const classes = getStyles(styles, [`.display-${size}`]);
  return /*#__PURE__*/React.createElement(Heading, _extends({}, elementProps, {
    ref: ref,
    size: 1,
    style: [classes, style]
  }), children);
});
DisplayHeading.displayName = 'Heading';
export default DisplayHeading;
//# sourceMappingURL=DisplayHeading.js.map