function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import React from 'react';
import { Platform } from 'react-native';
import StyleSheet from '../../style/StyleSheet';
import css from '../../style/css';
import Text from '../Text';
import { getStyles } from '../../utils';
const styles = StyleSheet.create({
  paragraph: css`
    margin-top: 0;
    margin-bottom: $paragraph-margin-bottom;
  `,
  '.lead': css`
    font-size: $lead-font-size;
    line-height: $lead-font-size * $line-height-base; // added for bootstrap-rn
    font-weight: $lead-font-weight;
  `
});
const Heading = /*#__PURE__*/React.forwardRef((props, ref) => {
  const {
    children,
    lead,
    style,
    ...elementProps
  } = props;
  const classes = getStyles(styles, ['paragraph', lead && '.lead']);

  // Accessiblity role paragraph is only supported on web.
  const role = Platform.OS === 'web' ? 'paragraph' : undefined;
  return (
    /*#__PURE__*/
    // @ts-expect-error web only role
    React.createElement(Text, _extends({}, elementProps, {
      ref: ref,
      role: role,
      style: [classes, style]
    }), children)
  );
});
Heading.displayName = 'Heading';
export default Heading;
//# sourceMappingURL=Paragraph.js.map