import { useRef } from 'react';
import Context from '../Context';
import useForcedContext from './useForcedContext';
export default function useIdentifier(prefix) {
  const context = useForcedContext(Context);
  const ref = useRef(null);
  if (!ref.current) {
    ref.current = context.generateKey(prefix);
  }
  return ref.current;
}
//# sourceMappingURL=useIdentifier.js.map