import Context from '../Context';
import { concatRefs } from '../utils';
import useForcedContext from './useForcedContext';
export default function useModifier(name, props, ref) {
  const context = useForcedContext(Context);
  const useModifierHook = context.modifiers[name];
  if (!useModifierHook) {
    return [props, ref];
  }
  const {
    ref: modifierRef,
    ...modifierProps
  } = useModifierHook(props, ref);
  return [modifierProps, modifierRef ? concatRefs(modifierRef, ref) : ref];
}
//# sourceMappingURL=useModifier.js.map