import React, { useContext, useMemo } from 'react';
import TextStyleContext from './TextStyleContext';
function TextStyleProvider(props) {
  const {
    children,
    style
  } = props;
  const parentContext = useContext(TextStyleContext);
  const contextValue = useMemo(() => ({
    style: parentContext ? [parentContext.style, style] : style,
    hasTextAncestor: !!(parentContext && parentContext.hasTextAncestor)
  }), [parentContext, style]);
  return /*#__PURE__*/React.createElement(TextStyleContext.Provider, {
    value: contextValue
  }, children);
}
export default TextStyleProvider;
//# sourceMappingURL=TextStyleProvider.js.map