/// <reference types="react" />
import type { ExtendedStyle, ThemeVariables, StyleValue, PlacementAxis, TransformedPlacementAxis } from './types';
export declare function each<T extends Record<string, string | ((t: ThemeVariables) => StyleValue)>>(source: T, apply: (key: keyof T, resolve: (t: ThemeVariables) => StyleValue) => Record<string, any>): Record<string, any>;
export declare function normalize(value: object[]): object;
export declare function makeProxy<T extends (string | number)[]>(name: string, keys: T): { [key in T[number]]: (t: ThemeVariables) => StyleValue; };
export declare function makeArray(length: number, callback: (index: number) => object): object[];
type FalsyValue = false | undefined | null | '' | 0;
export declare function getStyles<T extends string>(styles: Record<string, ExtendedStyle>, keys: (T | FalsyValue)[]): ExtendedStyle[];
export declare function concatRefs(...refs: React.LegacyRef<unknown>[]): React.RefCallback<unknown>;
export declare function optional(condition: boolean, value: object): object | undefined;
export declare function getElementId(identifier: string, name: string): string;
export declare function transformPlacement(placement: PlacementAxis): TransformedPlacementAxis;
export {};
//# sourceMappingURL=utils.d.ts.map