import React from 'react';
import { View as BaseView } from 'react-native';
import type { ExtendedStyle, Viewport } from './types';
type ModifierProps = any;
export type Modifier = (props: ModifierProps, ref: React.Ref<unknown>) => ModifierProps & {
    ref?: React.Ref<unknown>;
};
export type Modifiers = {
    useFormField?: Modifier;
    useTabbable?: Modifier;
    useActionable?: Modifier;
};
export type BootstrapRNContextType = {
    utilities: Record<string, ExtendedStyle>;
    modifiers: Modifiers;
    scrollbars: {
        hide: () => void;
        show: () => void;
    };
    fixed: React.RefObject<BaseView>[];
    getViewport(): Viewport;
    addFixedElement: (ref: unknown) => {
        remove: () => void;
    };
    generateKey(prefix: string): string;
};
declare const Context: React.Context<BootstrapRNContextType | null>;
export default Context;
//# sourceMappingURL=Context.d.ts.map