import React from 'react';
import { PressableProps as BasePressableProps, View as BaseView } from 'react-native';
import { UseActionProps } from '../hooks/useAction';
import { CaretProps } from './Caret';
import type { ExtendedViewStyle, ExtendedTextStyle, StyleProp, StyleName, UseActionableProps } from '../types';
export type PressableRef = BaseView;
type CaretTypes = boolean | CaretProps;
export interface PressableProps extends UseActionProps, UseActionableProps, Omit<BasePressableProps, 'children' | 'style'> {
    children?: React.ReactNode;
    caret?: CaretTypes;
    active?: boolean;
    style?: StyleProp<ExtendedViewStyle>;
    activeStyle?: StyleProp<ExtendedViewStyle>;
    textStyle?: StyleProp<ExtendedTextStyle>;
    activeTextStyle?: StyleProp<ExtendedTextStyle>;
    styleName?: StyleName;
}
export declare const getRole: (props: Pick<PressableProps, 'role' | 'accessibilityActions' | 'aria-label'>) => import("react-native").Role | undefined;
declare const Pressable: React.ForwardRefExoticComponent<PressableProps & React.RefAttributes<BaseView>>;
export default Pressable;
//# sourceMappingURL=Pressable.d.ts.map