import React from 'react';
import { Text as BaseText, TextProps as BaseTextProps } from 'react-native';
import { THEME_COLORS } from '../theme/proxies';
import type { ExtendedTextStyle, StyleProp, StyleName } from '../types';
export type TextRef = BaseText;
type ThemeColors = keyof typeof THEME_COLORS | 'muted' | 'black-50' | 'white-50';
export interface TextProps extends Omit<BaseTextProps, 'style'> {
    color?: ThemeColors;
    small?: boolean;
    mark?: boolean;
    bold?: boolean;
    italic?: boolean;
    style?: StyleProp<ExtendedTextStyle>;
    styleName?: StyleName;
}
declare const Text: React.ForwardRefExoticComponent<TextProps & React.RefAttributes<BaseText>>;
export default Text;
//# sourceMappingURL=Text.d.ts.map