import React from 'react';
import { TextInput as BaseTextInput, TextInputProps as BaseTextInputProps, TextInputFocusEventData, NativeSyntheticEvent } from 'react-native';
import type { ExtendedTextStyle, StyleProp, StyleName } from '../types';
export type TextInputRef = BaseTextInput;
export interface TextInputProps extends Omit<BaseTextInputProps, 'style'> {
    onFocus?: (e: NativeSyntheticEvent<TextInputFocusEventData>) => void;
    onBlur?: (e: NativeSyntheticEvent<TextInputFocusEventData>) => void;
    autoFocus?: boolean;
    style?: StyleProp<ExtendedTextStyle>;
    styleName?: StyleName;
    disabled?: boolean;
    readOnly?: boolean;
    rows?: number;
}
declare const TextInput: React.ForwardRefExoticComponent<TextInputProps & React.RefAttributes<BaseTextInput>>;
export default TextInput;
//# sourceMappingURL=TextInput.d.ts.map