import React from 'react';
import { ViewProps } from '../View';
import { DropdownDirection } from './DropdownContext';
import DropdownToggle from './DropdownToggle';
import DropdownItem from './DropdownItem';
import useDismissDropdown from './useDismissDropdown';
import useToggleDropdown from './useToggleDropdown';
export interface DropdownProps extends ViewProps {
    defaultVisible?: boolean;
    visible?: boolean;
    onToggle?: () => void;
    direction?: DropdownDirection;
    center?: boolean;
    display?: 'dynamic' | 'static';
    autoClose?: boolean | 'inside' | 'outside';
}
declare const _default: React.ForwardRefExoticComponent<DropdownProps & React.RefAttributes<import("react-native").View>> & {
    Context: React.Context<{
        identifier: string;
        visible: boolean;
        setVisible: React.Dispatch<React.SetStateAction<boolean>>;
        toggleRef: React.RefObject<import("react-native").View>;
        direction: DropdownDirection;
        center: boolean;
        display: string;
        autoClose: string | boolean;
    } | null>;
    Toggle: typeof DropdownToggle;
    Menu: React.ForwardRefExoticComponent<import("./DropdownMenu").DropdownProps & React.RefAttributes<import("react-native").View>>;
    Header: React.ForwardRefExoticComponent<import("./DropdownHeader").DropdownHeaderProps & React.RefAttributes<import("react-native").View>>;
    Item: typeof DropdownItem;
    ItemText: React.ForwardRefExoticComponent<import("./DropdownItemText").DropdownItemTextProps & React.RefAttributes<import("react-native").View>>;
    Divider: React.ForwardRefExoticComponent<import("./DropdownDivider").DropdownDividerProps & React.RefAttributes<import("react-native").View>>;
    useDismiss: typeof useDismissDropdown;
    useToggle: typeof useToggleDropdown;
};
export default _default;
//# sourceMappingURL=Dropdown.d.ts.map