import React, { ReactNode } from 'react';
import { ViewStyle } from 'react-native';
import type { ViewRef } from '../View';
import type { Placement, PlacementAxis } from '../../types';
type OverlayReturnType = {
    placement: PlacementAxis;
    rendered?: boolean;
    overlayProps: {
        style: ViewStyle;
    };
    arrowProps: {
        style: ViewStyle;
    };
};
interface OverlayProps {
    children: (overlay: OverlayReturnType, overlayRef: React.RefObject<ViewRef>) => ReactNode;
    placement: Placement;
    targetRef: React.RefObject<ViewRef>;
    offset?: number;
    arrowOffset?: number;
    visible: boolean;
}
declare const Overlay: {
    ({ children, targetRef, placement, offset, arrowOffset, visible, }: OverlayProps): React.ReactNode;
    displayName: string;
};
export default Overlay;
//# sourceMappingURL=Overlay.d.ts.map