import React from 'react';
import { ViewProps } from '../View';
import { ExtendedTextStyle, ExtendedViewStyle, StyleProp } from '../../types';
export interface ModalProps extends ViewProps {
    visible: boolean;
    size?: 'sm' | 'lg' | 'xl';
    backdrop?: boolean | 'static';
    scrollable?: boolean;
    centered?: boolean;
    onToggle: () => void;
    contentContainerStyle?: StyleProp<ExtendedViewStyle>;
    dialogStyle?: StyleProp<ExtendedViewStyle>;
    contentStyle?: StyleProp<ExtendedViewStyle>;
    dialogTextStyle?: StyleProp<ExtendedTextStyle>;
    contentTextStyle?: StyleProp<ExtendedTextStyle>;
}
declare const _default: React.ForwardRefExoticComponent<ModalProps & React.RefAttributes<import("react-native").View>> & {
    Context: React.Context<{
        scrollable: boolean;
    } | null>;
    Header: React.ForwardRefExoticComponent<import("./ModalHeader").ModalHeaderProps & React.RefAttributes<import("react-native").View>>;
    Title: React.ForwardRefExoticComponent<import("./ModalTitle").ModalTitleProps & React.RefAttributes<import("react-native").Text>>;
    Body: React.ForwardRefExoticComponent<import("./ModalBody").ModalBodyProps & React.RefAttributes<import("react-native").View | import("react-native").ScrollView>>;
    Footer: React.ForwardRefExoticComponent<import("./ModalFooter").ModalFooterProps & React.RefAttributes<import("react-native").View>>;
};
export default _default;
//# sourceMappingURL=Modal.d.ts.map