/// <reference types="react" />
import type { UseToggleButtonProps } from '../components/buttons/useToggleButton';
import type { UseToggleCollapseProps } from '../components/collapse/useToggleCollapse';
import type { UseDismissDropdownProps } from '../components/dropdown/useDismissDropdown';
import type { UseToggleDropdownProps } from '../components/dropdown/useToggleDropdown';
import type { UseToggleTabProps } from '../components/nav/useToggleTab';
import type { UseDismissNavbarProps } from '../components/navbar/useDismissNavbar';
import type { UseToggleNavbarProps } from '../components/navbar/useToggleNavbar';
interface UseToggleProps extends UseToggleTabProps, UseToggleNavbarProps, UseToggleButtonProps, UseToggleCollapseProps, UseToggleDropdownProps {
}
interface UseDismissProps extends UseDismissDropdownProps, UseDismissNavbarProps {
}
type ToggleFunction = <T>(props: T & UseToggleProps) => any;
type DismissFunction = <T>(props: T & UseDismissProps) => any;
type ToggleType = ToggleFunction | {
    useToggle: ToggleFunction;
};
type DismissType = DismissFunction | {
    useDismiss: DismissFunction;
};
export interface UseActionProps extends UseToggleProps, UseDismissProps {
    toggle?: ToggleType;
    dismiss?: DismissType;
}
export default function useAction<T, P>(props: UseActionProps & P, ref: React.LegacyRef<T>): readonly [Omit<UseActionProps & P, "toggle" | "dismiss">, import("react").LegacyRef<T>] | readonly [Omit<P & {
    ref?: import("react").LegacyRef<T> | undefined;
}, "ref">, string | ((instance: unknown) => void) | import("react").RefObject<T> | null];
export {};
//# sourceMappingURL=useAction.d.ts.map