import type { TextInputFocusEventData, NativeSyntheticEvent, MouseEvent, GestureResponderEvent, TargetedEvent } from 'react-native';
type InteractionProps = {
    onFocus?: null | ((event: NativeSyntheticEvent<TargetedEvent>) => void) | undefined;
    onBlur?: null | ((event: NativeSyntheticEvent<TargetedEvent>) => void) | undefined;
    onHoverIn?: null | ((event: MouseEvent) => void) | undefined;
    onHoverOut?: null | ((event: MouseEvent) => void) | undefined;
    onPressIn?: null | ((event: GestureResponderEvent) => void) | undefined;
    onPressOut?: null | ((event: GestureResponderEvent) => void) | undefined;
    autoFocus?: boolean;
};
export default function useInteractionState({ onFocus, onBlur, onHoverIn, onHoverOut, onPressIn, onPressOut, autoFocus, }: InteractionProps): {
    interaction: {
        hover: boolean;
        focus: unresolved;
        focusVisible: unresolved;
        active: boolean;
    };
    interactionProps: {
        onHoverIn(event: MouseEvent): void;
        onHoverOut(event: MouseEvent): void;
        onFocus(event: NativeSyntheticEvent<TextInputFocusEventData>): void;
        onBlur(event: NativeSyntheticEvent<TextInputFocusEventData>): void;
        onPressIn(event: GestureResponderEvent): void;
        onPressOut(event: GestureResponderEvent): void;
    };
};
export {};
//# sourceMappingURL=useInteractionState.d.ts.map