import { ForwardedRef } from 'react';
import { TextInputFocusEventData, NativeSyntheticEvent, GestureResponderEvent, MouseEvent } from 'react-native';
import type { Trigger } from '../types';
export type TriggerProps = {
    offset?: number;
    defaultVisible?: boolean;
    visible?: boolean;
    onToggle?: (visible: boolean) => void;
};
export type TriggerEventProps = {
    onPress?: null | ((event: GestureResponderEvent) => void) | undefined;
    onFocus?: null | ((event: NativeSyntheticEvent<TextInputFocusEventData>) => void) | undefined;
    onBlur?: null | ((event: NativeSyntheticEvent<TextInputFocusEventData>) => void) | undefined;
    onMouseOver?: null | ((event: MouseEvent) => void) | undefined;
    onMouseLeave?: null | ((event: MouseEvent) => void) | undefined;
};
export default function useTrigger<T>(rawTrigger: Trigger, props: TriggerProps, elementProps: TriggerEventProps, ref: ForwardedRef<T>): {
    visible: boolean;
    setVisible: import("react").Dispatch<import("react").SetStateAction<boolean>>;
    targetProps: {
        onPress: (event: GestureResponderEvent) => void;
        onFocus: (event: NativeSyntheticEvent<TextInputFocusEventData>) => void;
        onBlur: (event: NativeSyntheticEvent<TextInputFocusEventData>) => void;
        onMouseOver: (event: MouseEvent) => void;
        onMouseLeave: (event: MouseEvent) => void;
        ref: (instance: unknown) => void;
    };
    targetRef: import("react").MutableRefObject<null>;
    templateProps: {
        id: string;
    };
};
//# sourceMappingURL=useTrigger.d.ts.map