import type { BaseStyle } from '../../types';
type Value = string | ((v: object, k: string | undefined) => string);
export type SelectorStyleScope = {
    type: 'selector';
    name: 'hover' | 'focus' | 'focus-visible' | 'active';
};
export type MixinStyleScope = {
    type: 'mixin';
    name: 'media-breakpoint-between' | 'media-breakpoint-down' | 'media-breakpoint-only' | 'media-breakpoint-up' | 'platform';
    args: string[];
};
export type StyleScope = SelectorStyleScope | MixinStyleScope;
export type RootNode = {
    type: 'root';
    children: Node[];
};
export type VariableNode = {
    type: 'variable';
    name: string;
    value: Value[];
};
export type DeclarationNode = {
    type: 'declaration';
    name: string;
    value: Value[];
};
export type BlockNode = {
    type: 'block';
    scopes: StyleScope[];
    children: Node[];
};
export type Node = RootNode | VariableNode | DeclarationNode | BlockNode;
export type StyleDefinition = {
    scopes: StyleScope[];
    declarations: BaseStyle;
    variables: Record<string, string>;
};
type Options = {
    key?: string;
    preferTheme?: boolean;
};
export default function transform(children: Node[], theme: object, options?: Options, scopes?: StyleScope[], variables?: Record<string, string>): StyleDefinition[];
export {};
//# sourceMappingURL=index.d.ts.map